curl -X POST "https://app.talkover.ai/api/v1/campaigns/campaign-uuid/sftp" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{
"host": "sftp.example.com",
"port": 22,
"username": "campaigns_user",
"auth_type": "password",
"password": "secret",
"import_path": "/inbox",
"export_path": "/outbox",
"import_schedule": "daily"
}'
{
"success": true,
"data": {
"id": "sftp-config-uuid-1",
"campaign_id": "campaign-uuid",
"host": "sftp.example.com",
"is_enabled": false,
"created_at": "2024-01-15T16:00:00Z"
}
}
Campaign SFTP
Create Campaign SFTP Config
Configure SFTP integration for a campaign
POST
/
api
/
v1
/
campaigns
/
{campaign_id}
/
sftp
curl -X POST "https://app.talkover.ai/api/v1/campaigns/campaign-uuid/sftp" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{
"host": "sftp.example.com",
"port": 22,
"username": "campaigns_user",
"auth_type": "password",
"password": "secret",
"import_path": "/inbox",
"export_path": "/outbox",
"import_schedule": "daily"
}'
{
"success": true,
"data": {
"id": "sftp-config-uuid-1",
"campaign_id": "campaign-uuid",
"host": "sftp.example.com",
"is_enabled": false,
"created_at": "2024-01-15T16:00:00Z"
}
}
Create Campaign SFTP Config
Configure SFTP integration for a campaign. The configuration is created indisabled state — test the connection successfully before enabling.
Endpoint
POST /api/v1/campaigns/{campaign_id}/sftp
Path parameters
string
required
Campaign UUID.
Request headers
string
required
Bearer token. Format:
Bearer talq_your_environment_token_herestring
required
Must be set to
application/jsonRequest body
string
required
SFTP server hostname.
integer
SFTP port. Range:
1–65535. Default: 22.string
required
SFTP username.
string
required
Auth method. Options:
password, private_key.string
Required when
auth_type is password.string
Required when
auth_type is private_key. PEM-encoded private key.string
Optional passphrase for the private key.
string
Remote directory to scan for contact list imports (e.g.,
/inbox).string
Remote directory where call result files are uploaded (e.g.,
/outbox).string
Auto-import schedule. Options:
manual, hourly, daily. Default: manual.Examples
curl -X POST "https://app.talkover.ai/api/v1/campaigns/campaign-uuid/sftp" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{
"host": "sftp.example.com",
"port": 22,
"username": "campaigns_user",
"auth_type": "password",
"password": "secret",
"import_path": "/inbox",
"export_path": "/outbox",
"import_schedule": "daily"
}'
Response
{
"success": true,
"data": {
"id": "sftp-config-uuid-1",
"campaign_id": "campaign-uuid",
"host": "sftp.example.com",
"is_enabled": false,
"created_at": "2024-01-15T16:00:00Z"
}
}
Was this page helpful?